# class IAXMediaData | IAX2 transaction media data. More...
Full name | `TelEngine::IAXMediaData`
Definition | `#include <libs/yiax/yateiax.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline IAXMediaData ()
- inline void dropOut (unsigned int len)
- void print (String& buf)

#### Protected Members

- Mutex m_inMutex
- Mutex m_outMutex
- bool m_startedIn
- bool m_startedOut
- int m_outStartTransTs
- unsigned int m_outFirstSrcTs
- u_int32_t m_lastOut
- u_int32_t m_lastIn
- unsigned int m_sent
- unsigned int m_sentBytes
- unsigned int m_recv
- unsigned int m_recvBytes
- unsigned int m_ooPackets
- unsigned int m_ooBytes
- bool m_showInNoFmt
- bool m_showOutOldTs
- unsigned int m_dropOut
- unsigned int m_dropOutBytes

## Detailed Description

This class holds data used by transaction to sync media. The mutexes are not reentrant

inline IAXMediaData () | ### IAXMediaData

Constructor

inline void dropOut (unsigned int len) | ### dropOut

Increase drop out data

Parameters:

len | The number of dropped bytes

void print (String& buf) | ### print

Print statistics

Parameters:

buf | Destination buffer

Mutex m_inMutex | ### m_inMutex

[protected]

Mutex m_outMutex | ### m_outMutex

[protected]

bool m_startedIn | ### m_startedIn

[protected]

bool m_startedOut | ### m_startedOut

[protected]

int m_outStartTransTs | ### m_outStartTransTs

[protected]

unsigned int m_outFirstSrcTs | ### m_outFirstSrcTs

[protected]

u_int32_t m_lastOut | ### m_lastOut

[protected]

u_int32_t m_lastIn | ### m_lastIn

[protected]

unsigned int m_sent | ### m_sent

[protected]

unsigned int m_sentBytes | ### m_sentBytes

[protected]

unsigned int m_recv | ### m_recv

[protected]

unsigned int m_recvBytes | ### m_recvBytes

[protected]

unsigned int m_ooPackets | ### m_ooPackets

[protected]

unsigned int m_ooBytes | ### m_ooBytes

[protected]

bool m_showInNoFmt | ### m_showInNoFmt

[protected]

bool m_showOutOldTs | ### m_showOutOldTs

[protected]

unsigned int m_dropOut | ### m_dropOut

[protected]

unsigned int m_dropOutBytes | ### m_dropOutBytes

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.